LOGIN(3)

NAME
login - log a new login record to the utmp and wtmp files

LIBRARY
libutil

SYNOPSIS
#include <sys/types.h>
#include <utmp.h>
#include <libutil.h>
void
login(struct utmp *ut);

DESCRIPTION
The function login() records the ut entry being passed into the appropriate slot of the utmp(5) file (according to the controlling terminal of the calling process), and appends it to the wtmp(5) file. The calling process must have permission to write to both files.

RETURN VALUES
None.

SEE ALSO
logout(3), ttyslot(3), utmp(5), wtmp(5)

BUGS
The interface provided by login() is rather crude. The caller must know about the details of a struct utmp. Some better abstraction needs to be worked out.